Skip to main content
Alerting & Response/Alert Rules

CloneAlertRule

Clone an existing alert rule with a new name and identifier

POST/api/v1/alerting/rules/{ruleId}/clone

Operation ID

CloneAlertRule

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • ruleId
    StringRequired

    UUID of the rule to clone

Query Parameters

  • tenantId
    String

    Tenant identifier for the clone operation Tenant identifier for the clone operation

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • id
    String

    UUID of the newly created clone

    Example: rule-new456

  • originalId
    String

    UUID of the original rule that was cloned

    Example: rule-abc123

  • name
    String

    Name of the cloned rule (auto-suffixed)

    Example: High CPU Usage (copy)